Subject: [Supa] SUPA big picture RE: Update to Gap Analysis 5a

From: "Jun Bi" <[email-masked]>
Date: Sun, 22 Mar 2015 18:11:48 -0500

Hi all,

Thanks to John and Sue.

I updated the big picture on page 2, in the attached version 5 of gap-analysis ppt.

Sounds good now ?

Best Regards,

Jun Bi

From: Sue Hares [mailto:[email-masked]] 
Sent: Sunday, March 22, 2015 2:21 PM
To: John Strassner
Cc: Jun Bi; [email-masked]
Subject: Re: [Supa] Update to Gap Analysis 5a

Let us try this at  6pm.  I am still in transit from dfw airport.  I will arrive by 5pm cdt.

Sye

Sent via the Samsung GALAXY S®4, an AT&T 4G LTE smartphone

-------- Original message --------

From: John Strassner <[email-masked] <mailto:[email-masked]> > 

Date:03/22/2015 12:39 PM (GMT-05:00) 

To: Susan Hares <[email-masked] <mailto:[email-masked]> >, John Strassner <[email-masked] <mailto:[email-masked]> > 

Cc: Jun Bi <[email-masked] <mailto:[email-masked]> >, [email-masked] <mailto:[email-masked]>  

Subject: Re: [Supa] Update to Gap Analysis 5a 

Hi Sue,

Jun did the I2RS gap analysis.

However, I don't understand the diagram you included. I don't see anywhere in the I2RS charter where you are working on intent-based languages, and furthermore, this seems a bit out of place with low-level RIB work. Please explain.

regards,

John

On Sun, Mar 22, 2015 at 7:43 AM, Susan Hares <[email-masked] <mailto:[email-masked]> > wrote:

John:

You might want to read the current I2RS charter and adjust your Gap Analysis.  After my chat with Tina on Friday, I think we have a good idea of where SUPA, I2RS, and intent based networking works.  

I2RS charter covers: 

1)      Protocol independent RIB  (1 Info model approved, 1 Data Model pending)

2)      Protocol independent topology (generic, L1, L2, L3, Service topology) pending

3)      Filter-Based RIBs.  (drafts pending) 

4)      Specific protocol to do I2RS Work (presentation in Netconf) 

I’m working on slide for SUPA for I2RS, and I will send them before 6pm.  Here’s a diagram: 

Applications 

     |

     |Intent-based languages (E.g. Nemo, ODL NIC project) 

Services 

    |   

I2RS (RIB, FB-RIB, Protocol independent topologies – L1, L2, L3, Service Topologies)  

   | I2rs interface (restconf/netconf+) 

   | 

Devices 

Sue 

From: Supa [mailto:[email-masked] <mailto:[email-masked]> ] On Behalf Of John Strassner
Sent: Saturday, March 21, 2015 5:18 PM
To: Jun Bi; John Strassner; [email-masked] <mailto:[email-masked]> 
Subject: [Supa] Update to Gap Analysis 5a

I was asked to update slides 6 and 7 according to my comments. They are attached. Change log:

Slide 6

1.  ODL GBP pre-dates GBP in OpenStack, so I moved it forward one slide to slide 6 and deleted it from OpenStack

2. Updated GBP description to be more accurate

3. Updated NIC description to be more accurate (e.g., first bullet, which set that the models were "often closely relating to the actual configuration of devices") is incorrect. Intent should NEVER use the actual configuration of a device.

Slide 7

Rewrote all 3 bullets under the Congress section to correct them as described in my original email.

Inserted New Slide 8 on TM Forum Gaps

If desired, I can also update the draft later.

-- 

regards,

John

-- 

regards,

John